Subject: Re: [PATCH] therm_pm72: Convert to a new-style i2c driver

From: Jean Delvare <[email-masked]>
Date: Mon, 13 Apr 2009 16:51:00 +0200

On Mon, 13 Apr 2009 16:09:27 +0200, Jean Delvare wrote:
> The legacy i2c binding model is going away soon, so convert the
> macintosh therm_pm72 driver to the new model or it will break.
> 
> This is really a quick and dirty conversion, that should do the trick
> for now, but no doubt that something cleaner can be done if anyone is
> interested.
> 
> Signed-off-by: Jean Delvare <[email-masked]>
> Cc: Benjamin Herrenschmidt <[email-masked]>
> ---
> Can anyone please run-test this patch? I could only build-test it.

Damn, I forgot once again. You need to apply the following patch
beforehand:
ftp://ftp.kernel.org/pub/linux/kernel/people/jdelvare/linux-2.6/jdelvare-i2c/i2c-loosen-driver-check.patch

I'll push this patch to Linus now.

-- 
Jean Delvare